# Interface for submodule: PyVnl
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate


# Interface for class: PyVnl
from ._proxies import PyVnlProxy as _PyVnlProxy
class _PyVnlTemplateGetter():
    def __getitem__(self, parameters) -> _PyVnlTemplate:
        """Specify class type with:
            	[INSERT_TYPE_NAMES_HERE]
            :return: PyVnlTemplate
            """
        ...


class _PyVnlTemplate(_itkTemplate, metaclass=_PyVnlTemplateGetter):
    """Interface for instantiating itk::PyVnl< INSERT_TYPE_NAMES_HERE >
        Supports type specification through dictionary access:
            'itk.PyVnl[INSERT_TYPE_NAMES_HERE]()"""

    def __new__(cls, *args: Any) -> _PyVnlProxy:
        """Instantiate itk::PyVnl< INSERT_TYPE_NAMES_HERE >"""
        ...

    def __call__(self, *args: Any) -> _PyVnlProxy:
        """Instantiate itk::PyVnl< INSERT_TYPE_NAMES_HERE >"""
        ...

PyVnl = _PyVnlTemplate

